Bug 242081 - Incorrect partition labels after install
Incorrect partition labels after install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-06-01 11:49 EDT by Marc Wiriadisastra
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-08 16:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Wiriadisastra 2007-06-01 11:49:40 EDT
Description of problem:
When partitioning my hard drive during the install of Fedora 7 the partitions
were incorrectly labeled.

Version-Release number of selected component (if applicable):
Not sure on the version of parted.  I used the i686 gnome live cd to install.

How reproducible:
It happened before using the test versions to me but I thought I stuffed it up.
 The fact that it happened again gives me confidence that it wasn't me.

Steps to Reproduce:
1. Go through the install menu's till you are at partitioning.
2. Partition the hard drive with swap, /, /home and /boot with log vol
3. End up with incorrect labels.
Actual results:
[root@Strikelap ~]# cat /etc/fstab 
LABEL=/12               /                       ext3    defaults        1 1
LABEL=/home             /home                   ext3    defaults        1 2
LABEL=/boot1            /boot                   ext3    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
LABEL=SWAP-sda5         swap                    swap    defaults        0 0

Expected results:
Well correct labeling.

Additional info:
It doesn't affect how Fedora performs but I thought I would point it out. 
Fedora loads up fine and performs fine its just a label but its going to be hard
to remember which is which for upgrade purposes for Fedora 8.

Also the /12 = / so I'm assuming its not supposed to have the 12.
Comment 1 Jeremy Katz 2007-06-04 14:13:23 EDT
What is incorrect?
Comment 2 Marc Wiriadisastra 2007-06-04 20:10:54 EDT
I would have thought the label section would have taken on something other than
/12 I labeled it as / originally in my setup.  Same as /boot instead it put
/boot1 /home is fine but the other ones were setup incorrectly.  Judging by your
answer I am probably incorrect in my assumption.....
Comment 3 Phil Oester 2007-06-13 11:27:24 EDT
Same issue here.  And I recall this happening in FC4 also, although can't find
the bug report for it.  Had something to do with anaconda wanting to create
unique labels, so it appends a '1' -- even though I instructed it to completely
wipe out the existing HD

LABEL=/1                /                       ext3    defaults        1 1
LABEL=/var1             /var                    ext3    defaults        1 2
LABEL=/usr1             /usr                    ext3    defaults        1 2
LABEL=/tmp1             /tmp                    ext3    defaults        1 2
Comment 4 Phil Oester 2007-06-13 11:38:00 EDT
Two more items.  

1) Seems this is a duplicate of #231430

2) I did have this problem in FC4, and ended up doing the below hack in %pre to
workaround it:

for dev in `fdisk -l | grep ^/dev | grep Linux$ | cut -d\  -f 1` ; do
    part=`e2label $dev`
    if [ "$part" = "/" ] ; then
        mount $dev /mnt/oldroot
        e2label $dev old_/
        e2label $dev old_$part

By renaming the labels as old_XXX, there were no duplicates, so anaconda didn't
append a '1' to all the names.  Of course why anaconda cares when I told it to
clearpart is another question.
Comment 5 Chris Lumens 2007-08-08 16:13:55 EDT
This should be fixed in F8.
Comment 6 Phil Oester 2007-08-16 13:14:35 EDT
Chris, you can also close bug 231430 with this resolution

Note You need to log in before you can comment on or make changes to this bug.